org.apache.cassandra.cache

## Interface IMeasurableMemory

- All Known Subinterfaces:
    CellName, Composite
  All Known Implementing Classes:
    AbstractComposite, AbstractNativeCell, BoundedComposite, CacheKey, ClockAndCount, ColumnIdentifier, CompoundComposite, CompoundDenseCellName, CompoundSparseCellName, CompoundSparseCellName.WithCollection, CounterCacheKey, DeletionInfo, DeletionTime, KeyCacheKey, NativeCell, NativeCounterCell, NativeDeletedCell, NativeExpiringCell, RangeTombstoneList, RowCacheKey, RowIndexEntry, SimpleComposite, SimpleDenseCellName, SimpleSparseCellName, SimpleSparseInternedCellName

      public interface IMeasurableMemory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `unsharedHeapSize()`

- - ### Method Detail

    - #### unsharedHeapSize

          long unsharedHeapSize()

      Returns:
        the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

Copyright © 2018 The Apache Software Foundation